{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.modules.server.docker;
in
{
  options.modules.server.docker = {
    enable = mkEnableOption ''
      Enable docker with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    virtualisation.docker = {
      enable = true;
      enableNvidia = config.modules.system.nvidia.enable;
    };
  };
}