{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.modules.server.openssh;
in
{
  options.modules.server.openssh = {
    enable = mkEnableOption ''
      Enable openssh with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    services.openssh = {
      enable = true;

      settings = {
        PasswordAuthentication = true;
      };
    };
  };
}